#include "world.h"
#include "xsdk.h"

//	this data is to be accessed externally,
//	but declared here & exported by the .H
char todays_date[26];

//////////////////////////////////////////////////////
//	this function not expected to be used outside	//
//	of this module so is not prototyped in the .H	//
//////////////////////////////////////////////////////
void get_todays_date(void) {
	time_t	now;
	time(&now);
	strcpy(todays_date, ctime(&now));
}

//////////////////////////////////////////////
//	use XSDK to clear screen and say a few	//
//	words. set data for external reference	//
//////////////////////////////////////////////
void say_howdy(void) {
	//	say something, frankie!
	cls();
	bprintf("\1h\1yHello, world!\1n\n");
	bprintf("\1h\1cHello, Synchronet!\1n\n");
	bprintf("\1h\1rHello, %s!\1n\n\n", user_name);

	//	while user reads, get date and time
	get_todays_date();

	//	let the user read it
	pause();
}
